// LightRender.h: interface for the CLightRender class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LIGHTRENDER_H__430E4E81_B5D5_4C2F_A142_CC08EC320154__INCLUDED_)
#define AFX_LIGHTRENDER_H__430E4E81_B5D5_4C2F_A142_CC08EC320154__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SkinnedMesh.h"


class CLightRender  
{
public:
	CLightRender();
	virtual ~CLightRender();
	virtual HRESULT InitDeviceObjects();
	virtual HRESULT RestoreDeviceObjects();
	virtual HRESULT InvalidateDeviceObjects();
	virtual HRESULT DeleteDeviceObjects();
	virtual void Render();

	LPDIRECT3DVERTEXBUFFER8 m_pVBSpotLightOut;
	LPDIRECT3DVERTEXBUFFER8 m_pVBSpotLightIn;

	CSkinnedMesh *m_pPointLight;
};

#endif // !defined(AFX_LIGHTRENDER_H__430E4E81_B5D5_4C2F_A142_CC08EC320154__INCLUDED_)
